.md pre {
  margin: $markdown-pre-margin;
  padding: $markdown-pre-padding;
  font-size: $markdown-pre-font-size;
  color: inherit;
  line-height: $markdown-pre-line-height;
  border-radius: $markdown-pre-border-radius;
  border-color: $markdown-pre-border-color;
  border-style: solid;
  border-width: 1px;
  overflow-x: auto;

  code {
    color: inherit;
    background-color: inherit;
    padding: $markdown-pre-code-padding;
    white-space: pre;
  }

  @each $theme, $value in $markdown-pre-highlight-selectors {
    &.#{$theme} {
      @include pre-highlight-selectors($theme, $value);
    }
  }
}
